Skip to main content

Usage Statistics

Check your current API usage and remaining monthly credits. This endpoint is free.

GET/api/v1/usage

Get your current API usage statistics, monthly credits, and request budget.

Notes

  • This endpoint is free and does not consume credits
  • Use this to monitor your unified monthly credits before making requests
  • paygBalance shows your Pay-As-You-Go credit balance (never expires)

Response Example

200 OK
{
  "data": {
    "tier": "free",
    "credits": {
      "used": 42,
      "limit": 100,
      "remaining": 58,
      "period": "monthly",
      "resetsAt": "2025-02-01T00:00:00.000Z"
    },
    "paygBalance": 350,
    "apiKeys": {
      "used": 1,
      "limit": 1
    },
    "rateLimit": {
      "requestsPerMinute": 20,
      "used": 3,
      "remaining": 17,
      "resetsAt": "2025-02-01T00:00:45.000Z"
    }
  }
}